This gcloud shell script creates a  GCP service account, creates a role and assigned to service account, generates a json key, and enables APIs.

The script only takes care of half the CIEM prereqs. You still have to create the Admin Role in Workspace and assign to a Workspace User, and delegate domain-wide authority to the created service account.

Follow these steps:

1. Make scirpt executable with `chmod +x gcloud-cam-prereqs.sh`

2. Set the script variables
   - Required
     - PROJECT_ID
     - ORG_ID
   - Optional
     - YAML_FILEPATH
     - SERVICEACCOUNT_NAME
     - ROLE_NAME
     - PRIVATEKEY_FILEPATH

3. Execute the script `./gcloud-cam-prereqs.sh`

4. Upload the generated key json into CIEM's GCP Configuration page.

